Subject: Re: [bitcoin-dev] Taproot NACK

From: LORD HIS EXCELLENCY JAMES HRMH <[email-masked]>
Date: Sun, 28 Feb 2021 11:36:37 +0000

Good Evening,

Thank-you for your advice @JeremyRubin<https://twitter.com/JeremyRubin> on the basis you advise, "Taproot does not enable monero-like privacy features", I am prepred to withdraw my NACK notably that the existing feeatures of Bitcoin MUST be maintained, and whereby the UTXO of a transaction is identifiable, the PayTo Address, and the amount all without any obfuscation.

Lightning does not really provide obfuscation, it provides a result of a subset of transactions although the operation of the channel is observable to the parties.

The reports I were reading concerning the supposed operation of Taproot published in a public media channel may have been speculation or misinformation nonetheless it is prudent to conditionally reply as you see that I have. It is important not to allow things to slip through the cracks. As you may believe may astute reviewers could make a full disclosure to this list it is not to be expected.

KING JAMES HRMH
Great British Empire

Regards,
The Australian
LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
of Hougun Manor & Glencoe & British Empire
MR. Damian A. James Williamson
Wills

et al.

Willtech
www.willtech.com.au<mail://local/Sent/www.willtech.com.au>
www.go-overt.com<mail://local/Sent/www.go-overt.com>
and other projects

earn.com/willtech
linkedin.com/in/damianwilliamson

m. 0487135719
f. +61261470192

This email does not constitute a general advice. Please disregard this email if misdelivered.
________________________________
From: Jeremy <[email-masked]>
Sent: Sunday, 28 February 2021 3:14 AM
To: LORD HIS EXCELLENCY JAMES HRMH <[email-masked]>; Bitcoin Protocol Discussion <[email-masked]>
Subject: Re: [bitcoin-dev] Taproot NACK

I have good news for you: Taproot does not enable monero-like privacy features any moreso than already exist in Bitcoin today. At its core, taproot is a way to make transactions with embedded smart contracts less expensive, done so in a manner that may marginally improve privacy dependent on user behavior (but not in the monero-like way you mention). For example, it makes it possible for lightning channels to look structurally similar to single key wallets, but it does nothing inherently to obfuscate the transaction graph as in monero.

Such "monero-like" transaction graph obfuscation may already exist in Bitcoin via other techniques (coinjoin, payjoin, coinswap, lightning, etc) with or without Taproot, so the point is further moot.

Do you have a source on your reporting?

You may wish to rescind your nack.

--
@JeremyRubin<https://twitter.com/JeremyRubin><https://twitter.com/JeremyRubin>

On Sat, Feb 27, 2021 at 5:46 AM LORD HIS EXCELLENCY JAMES HRMH via bitcoin-dev <[email-masked]<mailto:[email-masked]>> wrote:
Good Afternoon,

It has been reported that Taproot will enable some Monero like features including the ability to hide transactions.

If that is the case I offer a full NACK and let me explain.

A part of the benefit of using Bitcoin is its honesty. The full transaction is published on the blockchain. If that were to change so that transactions may be obfuscated from scrutiny then any government would have unlimited impetus to ban Bitcoin, and speculation has that is the reason India has been reported to have banned cryptocurrencies already.

I am in support of the expanded use case of Bitcoin without harming the established robust fairness and equal equity offered. The core functionality of Bitcoin, its values, must remain unaltered.

KING JAMES HRMH
Great British Empire

Regards,
The Australian
LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
of Hougun Manor & Glencoe & British Empire
MR. Damian A. James Williamson
Wills

et al.

Willtech
www.willtech.com.au<http://www.willtech.com.au>
www.go-overt.com<http://www.go-overt.com>
and other projects

earn.com/willtech<http://earn.com/willtech>
linkedin.com/in/damianwilliamson<http://linkedin.com/in/damianwilliamson>

m. 0487135719
f. +61261470192

This email does not constitute a general advice. Please disregard this email if misdelivered.
_______________________________________________
bitcoin-dev mailing list
[email-masked]<mailto:[email-masked]>
https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev